Bind a grant to its actor
curl --request GET \
--url https://api.sharedgraph.com/api/session \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sharedgraph.com/api/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"actorId": "<string>",
"appId": "<string>",
"grantId": "<string>",
"scopes": [
"openid"
]
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}Social
Bind a grant to its actor
Bind a grant to its actor.
GET
/
api
/
session
Bind a grant to its actor
curl --request GET \
--url https://api.sharedgraph.com/api/session \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sharedgraph.com/api/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"actorId": "<string>",
"appId": "<string>",
"grantId": "<string>",
"scopes": [
"openid"
]
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}Authorizations
Audited access token bound to the current application, actor and immutable grant.
Response
Successful response
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
openid, profile, offline_access, read, post:create, post:edit, post:delete, follow:write, like:write, block:write, block:read, inbox:read, inbox:write, report:write